Bug 12287 - CTDB PID file handling is too weak
CTDB PID file handling is too weak
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.5.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-22 05:48 UTC by Martin Schwenke
Modified: 2016-10-25 07:43 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-5 branch (19.35 KB, patch)
2016-09-23 03:47 UTC, Amitay Isaacs
martins: review+
Details
Patches for v4-4 branch (19.96 KB, patch)
2016-09-23 03:48 UTC, Amitay Isaacs
martins: review+
Details
Additional patch for 4.5 (1.39 KB, patch)
2016-10-17 04:52 UTC, Martin Schwenke
amitay: review+
Details
Additional patch for 4.4 (1.39 KB, patch)
2016-10-17 04:53 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2016-09-22 05:48:58 UTC
ctdbd processes can overtake each other, resulting in PID file being removed by incorrect instance of ctdbd.  PID file handling needs to be rock solid and PID file creation needs to be the first thing done.
Comment 1 Amitay Isaacs 2016-09-23 03:47:56 UTC
Created attachment 12506 [details]
Patches for v4-5 branch
Comment 2 Amitay Isaacs 2016-09-23 03:48:18 UTC
Created attachment 12507 [details]
Patches for v4-4 branch
Comment 3 Martin Schwenke 2016-09-23 04:39:58 UTC
Hi Karolin,

This is ready for 4.4, 4.5.

Thanks!
Comment 4 Karolin Seeger 2016-09-23 09:44:36 UTC
(In reply to Martin Schwenke from comment #3)
Pushed to autobuild-v4-{5,4}-test.
Comment 5 Amitay Isaacs 2016-10-11 05:47:38 UTC
The fix is not complete and we need to add another patch.  Do we re-open this defect or create a new one?
Comment 6 Martin Schwenke 2016-10-13 04:21:03 UTC
Reassigning to me to add extra patches.
Comment 7 Martin Schwenke 2016-10-17 04:52:48 UTC
Created attachment 12580 [details]
Additional patch for 4.5
Comment 8 Martin Schwenke 2016-10-17 04:53:18 UTC
Created attachment 12581 [details]
Additional patch for 4.4
Comment 9 Martin Schwenke 2016-10-17 05:02:13 UTC
Hi Karolin,

With these additional patches, this is ready for 4.4 and 4.5.

Thanks...
Comment 10 Karolin Seeger 2016-10-19 06:41:18 UTC
(In reply to Martin Schwenke from comment #9)
Pushed additional patches to v4-{5,4}-test.
Comment 11 Karolin Seeger 2016-10-25 07:43:55 UTC
(In reply to Karolin Seeger from comment #10)
Pushed to both branches.
Closing out bug report.

Thanks!